select
    a.id
     , a.cost_no -- 费用类别代码
     , a.project_id -- 项目id
     , b.name project_name -- 项目名称
     , a.accrual_month -- 权责月
     , a.accrual_year -- 权责年
     , a.start_period -- 开始周期
     , a.end_period -- 结束周期
     , a.income_money -- 收入期间金额
     , a.contract_breaks -- 合同减免
     , a.receive_date -- 应收日期
     , a.bill_no -- 账单编号
     , a.contract_no -- 合同编号
     , a.create_date -- 创建日期
     , a.refund_money -- 实退金额
     , a.available_money -- 收款可用金额
     , a.rn_available_money -- 退款可用金额
     , a.available_invoiced_money -- 可开票金额
     , a.invoiced_money -- 开票金额
     , a.forward_money -- 已转金额
     , a.received_money -- 实收金额
     , a.areare_money -- 欠款金额
     , a.contract_id -- 合同id
     , a.current_sure_money -- 实际应收
     , a.current_receive_money -- 实收
from ods_bs_fi_bills_d a
         left join ods_bs_project_d b
                   on a.project_id = b.id